=== modified file 'mandos'
--- mandos	2014-07-25 23:00:45 +0000
+++ mandos	2014-07-25 22:44:20 +0000
@@ -707,10 +707,10 @@
         # Start a new checker if needed
         if self.checker is None:
             # Escape attributes for the shell
-            escaped_attrs = { attr:
-                                  re.escape(unicode(getattr(self,
-                                                            attr)))
-                              for attr in self.runtime_expansions }
+            escaped_attrs = dict(
+                (attr, re.escape(unicode(getattr(self, attr))))
+                for attr in
+                self.runtime_expansions)
             try:
                 command = self.checker_command % escaped_attrs
             except TypeError as error:
@@ -2774,8 +2774,8 @@
                 
                 # A list of attributes that can not be pickled
                 # + secret.
-                exclude = { "bus", "changedstate", "secret",
-                            "checker", "server_settings" }
+                exclude = set(("bus", "changedstate", "secret",
+                               "checker", "server_settings"))
                 for name, typ in (inspect.getmembers
                                   (dbus.service.Object)):
                     exclude.add(name)

=== modified file 'mandos-ctl'
--- mandos-ctl	2014-07-25 23:00:45 +0000
+++ mandos-ctl	2014-07-24 01:35:55 +0000
@@ -249,10 +249,10 @@
     # Print header line
     print(format_string.format(**tablewords))
     for client in clients:
-        print(format_string.format(**{ key:
+        print(format_string.format(**dict((key,
                                            valuetostring(client[key],
-                                                         key)
-                                       for key in keywords }))
+                                                         key))
+                                          for key in keywords)))
 
 def has_actions(options):
     return any((options.enable,
@@ -372,8 +372,9 @@
     clients={}
     
     if options.all or not options.client:
-        clients = { bus.get_object(busname, path): properties
-                    for path, properties in mandos_clients.items() }
+        clients = dict((bus.get_object(busname, path), properties)
+                       for path, properties in
+                       mandos_clients.items())
     else:
         for name in options.client:
             for path, client in mandos_clients.iteritems():

